<?php
/*------------------------------------------------------------------------
# JA Zebrina 1.0 - Jan, 2007
# ------------------------------------------------------------------------
# Copyright (C) 2004-2006 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
# @license - Copyrighted Commercial Software
# Author: J.O.O.M Solutions Co., Ltd
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
-------------------------------------------------------------------------*/

defined( '_VALID_MOS' ) or die( 'Restricted access' );
$iso = split( '=', _ISO );
/*echo "<?xml version=\"1.0\" encoding=\"'. $iso[1] .'\"?' .'>";*/
global $ja_color_themes, $ja_header_images, $ja_width_default, $ja_color_default, $ja_font_size_default, $ja_tool, $ja_menutype, $ja_template_path, $ja_template_absolute_path, $ja_headerimg, $ja_color, $ja_width, $ja_font_size, $ja_template_name;

$ja_template_name = 'ja_zebrina';

# BEGIN: TEMPLATE CONFIGURATIONS ##########
####################################
#support extra color themes
$ja_color_themes = array('default', 'cyan', 'green', 'brick', 'light'); // You can add more color array if needed
####################################
# Change the width of the template
$ja_width_default = 'wide'; // 'narrow': 800x600; 'wide': 1024x768; 'auto': fluid width
# default color
$ja_color_default = 'default'; //blank for default, else pick one of in extra color themes $ja_color_themes
#font size default
$ja_font_size_default = 3;
# Enable users option
$ja_tool = 3; // 0: disable all; 1: disable color, enable font; 2: enable color, disable font; 3: enable all.
# Choose your prefer Menu Type
$ja_menutype = 1; // 1: Split Menu; 2: Son of Suckerfish Dropdown Menu; 3: Transmenu;
$ja_using_ajax = 1; //1: Enable ajax; 0: disable.
# END: TEMPLATE CONFIGURATIONS ##########

//JAJAX_BLOX:BEGIN
//Bypass ajax for Safari and Koqueror
$navigator_user_agent = ( isset( $_SERVER['HTTP_USER_AGENT'] ) ) ? strtolower( $_SERVER['HTTP_USER_AGENT'] ) : '';
if ((stristr($navigator_user_agent, "konqueror")) || (stristr($navigator_user_agent, "safari")) || (stristr($navigator_user_agent, "msie 7"))) $ja_using_ajax=0;
if ($ja_menutype == 3) $ja_using_ajax = 0;
//JAJAX_BLOX:END

# Define the template path ##########
$ja_template_path = $mosConfig_live_site.'/templates/'.$ja_template_name;
$ja_template_absolute_path = $mosConfig_absolute_path.'/templates/'.$ja_template_name;
include ($ja_template_absolute_path."/ja_templatetools.php");

$topnav = "";
$subnav = "";
if ($ja_menutype == 1) {
	require($ja_template_absolute_path."/ja_splitmenu.php");
	$topnav = ja_topNav('mainmenu', array('default'));
	$subnav = ja_subNav('mainmenu');
}

# Auto Collapse Divs Functions ##########
$ja_left = mosCountModules( 'left' );
$ja_right = mosCountModules( 'right' );

if ( $ja_left && $ja_right ) {
	$divid = '';
	} elseif ( $ja_left ) { 
	$divid = '-fr';
	} elseif ( $ja_right ) {
	$divid = '-fl';
	} else {
	$divid = '-f';
}

?>

<?php
//JAJAX_BLOX:BEGIN
$jajax = $ja_using_ajax ? mosGetParam( $_REQUEST, 'jajax' ,'' ) : 0;
if ($jajax) {
	$open = getOpenMenuItems();
	if (count($open)){
		$splitter = md5("selectedmenusplitter");
		echo 'title='.$mainframe->getPageTitle();
		echo '&ids='.implode (',', getOpenMenuItems()).$splitter;
	}
}
if (!$jajax) {
//JAJAX_BLOX:END
?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<?php mosShowHead(); ?>
<meta http-equiv="Content-Type" content="text/html; <?php echo _ISO; ?>" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<link href="<?php echo $ja_template_path;?>/css/template_css.css" rel="stylesheet" type="text/css" />
<script language="javascript" type="text/javascript" src="<?php echo $ja_template_path;?>/scripts/ja.script.js"></script>
<script type="text/javascript" src="<?php echo $ja_template_path;?>/scripts/opacity.js"></script>
<link href="<?php echo $ja_template_path;?>/css/colors/<?php echo $ja_color; ?>.css" rel="stylesheet" type="text/css" />
<!--JAJAX_BLOX:BEGIN-->
<?php if ($ja_using_ajax) { ?>
<script type="text/javascript">
	var templatepath = '<?php echo $ja_template_path; ?>';
	var livesite = '<?php echo $mosConfig_live_site; ?>';
</script>
<script type="text/javascript" src="<?php echo $ja_template_path;?>/scripts/dhtmlHistory.js"></script>
<script type="text/javascript" src="<?php echo $ja_template_path;?>/scripts/mootools.release.83.js"></script>
<script type="text/javascript" src="<?php echo $ja_template_path;?>/scripts/ja.moduleloader.ajax.js"></script>
<?php } ?>
<!--JAJAX_BLOX:END-->
<?php genMenuHead(); ?>

<?php if ( $my->id ) { initEditor(); } ?>

<!--[if lte IE 6]>
<style type="text/css">
.clearfix {	height: 1%;}
</style>
<![endif]-->

<!--[if gte IE 7.0]>
<style type="text/css">
.clearfix {	display: inline-block;}
</style>
<![endif]-->
</head>

<body id="bd" class="<?php echo "$ja_width fs".$ja_font_size;?>">
<!--JAJAX_BLOX:BEGIN-->
<div id="ja-ajaxloading" style="z-index:2; display: none; width: 40px; height: 40px; background: url(<?php echo $ja_template_path;?>/images/ajax-loader-<?php echo $ja_color; ?>.gif) no-repeat 50%; text-align: center;">
	&nbsp;
</div>
<!--JAJAX_BLOX:END-->
<a title="Skip to content" href="<?php echo getCurrentURL();?>#Content" style="display: none;">Skip to content</a>
<a name="Top" id="Top"></a>
<div id="ja-wrapper">

<!-- BEGIN: HEADER -->
<div id="ja-headerwrap">
	<div id="ja-header" class="clearfix">
		<h1>
			<a href="index.php">
			<img src="<?php echo $ja_template_path;?>/images/logo-<?php echo $ja_color; ?>.gif" alt="<?php echo $mosConfig_sitename?>" />
			</a>
		</h1>
		<?php if ($ja_tool || mosCountModules('user4')) {?>
		<div id="ja-usertoolswrap">
			<div id="ja-usertools">
				<?php genToolMenu($ja_tool & 1); /*screen tool*/ ?>
				<?php genToolMenu($ja_tool & 2); /*color tool*/ ?>
				<?php if (mosCountModules('user4')) {?>
				<div id="ja-search">
				<?php mosLoadModules ( 'user4', -1 ); ?>
				</div>
				<?php } ?>
			</div>
		</div>
		<?php } ?>
	</div>
</div>
<!-- END: HEADER -->

<!-- BEGIN: MAIN NAVIGATION -->
<div id="ja-mainnavwrap">
	<div id="ja-mainnav" class="clearfix">
	<?php
		switch ($ja_menutype) {
			case 1: echo $topnav;
			break;
			case 2:
				include($ja_template_absolute_path."/ja_cssmenu.php");
			break; 
			case 3:
				echo "<div class=\"transmenu-inner\">";
				include($ja_template_absolute_path."/ja_transmenu.php");
				echo "</div>";
			break;
		}
	?>
	</div>
</div>

<!--JAJAX_BLOX:BEGIN-->
<!--BEGIN: AJAXWRAP-->
<div id="ja-ajaxwrap">
<?php } ?>
<!--JAJAX_BLOX:END-->

<?php 	
$spotlight = array ('user7','user8','user9');
$topspl = calSpotlight ($spotlight);
if( $topspl ) { 
?>
<!-- BEGIN: TOP SPOTLIGHT -->
<div id="ja-topslwrap">
	<div id="ja-topsl" class="clearfix">
	  <?php if( mosCountModules('user7') ) {?>
	  <div class="ja-box<?php echo $topspl['modules']['user7']; ?>" style="width: <?php echo $topspl['width']; ?>;">
	    <?php mosLoadModules('user7', -2); ?>
	  </div>
	  <?php } ?>
	  
	  <?php if( mosCountModules('user8') ) {?>
	  <div class="ja-box<?php echo $topspl['modules']['user8']; ?>" style="width: <?php echo $topspl['width']; ?>;">
	    <?php mosLoadModules('user8', -2); ?>
	  </div>
	  <?php } ?>
	  
	  <?php if( mosCountModules('user9') ) {?>
	  <div class="ja-box<?php echo $topspl['modules']['user9']; ?>" style="width: <?php echo $topspl['width']; ?>;">
	    <?php mosLoadModules('user9', -2); ?>
	  </div>
	  <?php } ?>
	</div>
</div>
<!-- END: TOP SPOTLIGHT -->
<?php } ?>

<!--
<div id="ja-shwrap" class="clearfix">
	<div id="ja-sh">
		&nbsp;
	</div>
</div> -->

<div id="ja-containerwrap">
	<div id="ja-container<?php echo $divid ?>" class="clearfix">
		<!-- BEGIN: CONTENT -->
		<div id="ja-mainbody<?php echo $divid; ?>">
		<a name="Content" id="Content"></a>
		
		<div id="ja-contentwrap">
			<div id="ja-content">
				<?php if (strtolower($option) != 'com_frontpage'){ ?>
				<div id="ja-pathway">
					<?php mosPathway(); ?>
				</div>
				<?php } ?>

                                    <!-- Slideshow in contentarea -->

                                    <?php if( mosCountModules('fpss') ) {?>
                                           <?php mosLoadModules('fpss', -2); ?>
                                    <?php } ?>

                                    <!-- End: Slideshow in contentarea -->

				<?php mosMainBody(); ?>
			</div>
		</div>
	
		<?php if ($ja_left) { ?>
		<!-- BEGIN: LEFT COLUMN -->
		<div id="ja-leftcol">
			<?php if ($subnav) { ?>
			<div id="ja-subnav">
				<h3><?php echo $menuname; ?> Menu</h3>
				<?php echo $subnav; ?>
			</div>
			<?php } ?>
			<?php	echo
				mosLoadModules ( 'left',-2 );
			?>
		</div>
		<!-- END: LEFT COLUMN -->
		<?php } ?>
	
		</div>
		<!-- END: CONTENT -->
	
		<?php if ($ja_right) { ?>
			<?php if ((!$ja_left) && $subnav) { ?>
			<div id="ja-subnav">
				<h3><?php echo $menuname; ?> Menu</h3>
				<?php echo $subnav; ?>
			</div>
			<?php } ?>
		<!-- BEGIN: RIGHT COLUMN -->
		<div id="ja-rightcol">
			<?php	echo
				mosLoadModules ( 'right',-2 );
			?>
		</div>
		<br />
		<!-- END: RIGHT COLUMN -->
		<?php } ?>

	</div>
</div>

<?php 	
$spotlight = array ('user1','user2','top');
$botsl = calSpotlight ($spotlight);
if( $botsl ) { 
?>
<!-- BEGIN: BOTTOM SPOTLIGHT -->
<div id="ja-botslwrap">
	<div id="ja-botsl" class="clearfix">
	  <?php if( mosCountModules('user1') ) {?>
	  <div class="ja-box<?php echo $botsl['modules']['user1']; ?>" style="width: <?php echo $botsl['width']; ?>;">
	    <?php mosLoadModules('user1', -2); ?>
	  </div>
	  <?php } ?>
	  
	  <?php if( mosCountModules('user2') ) {?>
	  <div class="ja-box<?php echo $botsl['modules']['user2']; ?>" style="width: <?php echo $botsl['width']; ?>;">
	    <?php mosLoadModules('user2', -2); ?>
	  </div>
	  <?php } ?>
	  
	  <?php if( mosCountModules('top') ) {?>
	  <div class="ja-box<?php echo $botsl['modules']['top']; ?>" style="width: <?php echo $botsl['width']; ?>;">
	    <?php mosLoadModules('top', -2); ?>
	  </div>
	  <?php } ?>
	</div>
</div>
<!-- END: BOTTOM SPOTLIGHT -->
<?php } ?>

<!--JAJAX_BLOX:BEGIN-->
<?php
if (!$jajax) {
?>
</div> 
<!--END: AJAXWRAP-->
<!--JAJAX_BLOX:END-->

<!-- BEGIN: FOOTER -->
<div id="ja-footerwrap" class="clearfix">
	<div id="ja-footer">
	  <p id="ja-bottomline">
			<?php include_once( $ja_template_absolute_path.'/footer.php' ); ?>
		</p>
		
		<div id="ja-cert">
		 <a href="<?php echo $mosConfig_live_site ?>/index.php?option=com_rss&amp;feed=RSS2.0&amp;no_html=1" target="_blank" title="RSS 2.0" style="text-decoration: none;">
			<img src="<?php echo $ja_template_path;?>/images/but-rss.gif" alt="RSS 2.0" />
		 </a>
			<?php if ($ja_menutype != 3 ) { ?>
			<a href="http://jigsaw.w3.org/css-validator/validator?uri=<?php echo $mosConfig_live_site;?>" target="_blank" title="Our site is valid CSS" style="text-decoration: none;">
				<img src="<?php echo $ja_template_path;?>/images/but-css.gif" alt="Our site is valid CSS" />
			</a>
			<?php } ?>
			<a href="http://validator.w3.org/check/referer" target="_blank" title="Our site is valid XHTML 1.0 Transitional" style="text-decoration: none;">
				<img src="<?php echo $ja_template_path;?>/images/but-xhtml10.gif" alt="Our site is valid XHTML 1.0 Transitional" />
			</a>
			<a href="<?php echo getCurrentURL();?>#Top" title="Go to top" style="text-decoration: none;">
				<img src="<?php echo $ja_template_path;?>/images/but-top.gif" alt="Go to top!" />
			</a>
		</div>	
	</div>
</div>
<!-- END: FOOTER -->

</div>

<?php mosLoadModules( 'debug', -1 );?>
</body>

</html>
<!--JAJAX_BLOX:BEGIN-->
<?php } ?>
<!--JAJAX_BLOX:END-->